type __VLS_Props = {
    modelValue?: string;
    maxCount?: number;
    maxSize?: number;
    accept?: string[];
    modelKey: string;
};
declare function hasUploading(): boolean;
declare function cancelUploading(): void;
declare const _default: import('vue').DefineComponent<__VLS_Props, {
    hasUploading: typeof hasUploading;
    cancelUploading: typeof cancelUploading;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    "update:modelValue": (...args: any[]) => void;
}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    inputRef: HTMLInputElement;
}, HTMLDivElement>;
export default _default;
